<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::SymbolScope::typed_iterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_symbol_scope_1_1typed__iterator.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classerpcgen_1_1_symbol_scope_1_1typed__iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::SymbolScope::typed_iterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:aa5c96e04d4c4193348fc26efd4422ea5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5c96e04d4c4193348fc26efd4422ea5"></a>
typedef symbol_vector_t::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>vit</b></td></tr>
<tr class="separator:aa5c96e04d4c4193348fc26efd4422ea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba533618789f6e014e64dfd375af36fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba533618789f6e014e64dfd375af36fe"></a>
typedef vit::value_type&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b></td></tr>
<tr class="separator:aba533618789f6e014e64dfd375af36fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae1c761903176ccc6c64794ebaee2f067"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1c761903176ccc6c64794ebaee2f067"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator value_type &amp;</b> ()</td></tr>
<tr class="separator:ae1c761903176ccc6c64794ebaee2f067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87f87c006fed922a1cf9211b09bad8ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87f87c006fed922a1cf9211b09bad8ec"></a>
value_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> ()</td></tr>
<tr class="separator:a87f87c006fed922a1cf9211b09bad8ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65a4e1f87fda8a46e72bebc1a91aec11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65a4e1f87fda8a46e72bebc1a91aec11"></a>
value_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-&gt;</b> ()</td></tr>
<tr class="separator:a65a4e1f87fda8a46e72bebc1a91aec11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177656b30f2a345ffcc51f165d6f9895"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a177656b30f2a345ffcc51f165d6f9895"></a>
<a class="el" href="classerpcgen_1_1_symbol_scope_1_1typed__iterator.html">typed_iterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
<tr class="separator:a177656b30f2a345ffcc51f165d6f9895"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0638685a36d4c6900ac0eec35ed7e5b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0638685a36d4c6900ac0eec35ed7e5b4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classerpcgen_1_1_symbol_scope_1_1typed__iterator.html">typed_iterator</a> &amp;other)</td></tr>
<tr class="separator:a0638685a36d4c6900ac0eec35ed7e5b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2afef029bbce4f6d636918a203b35a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2afef029bbce4f6d636918a203b35a5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classerpcgen_1_1_symbol_scope_1_1typed__iterator.html">typed_iterator</a> &amp;other)</td></tr>
<tr class="separator:af2afef029bbce4f6d636918a203b35a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a6cc3a8158ad928da86694b4bb21a5d13"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cc3a8158ad928da86694b4bb21a5d13"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>SymbolScope</b></td></tr>
<tr class="separator:a6cc3a8158ad928da86694b4bb21a5d13"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_symbol_scope_8h_source.html">SymbolScope.h</a></li>
<li>Type.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
